Skip to content

List Secrets

GET /secrets
NameInTypeNotes
limitqueryintegeroptionalDefault 50. min 1 max 200
cursorquerystring | nulloptional—
offsetqueryinteger | nulloptionalmin 0
StatusDescriptionBody
200Successful ResponsePage_SecretMeta_
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/secrets \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
itemsSecretMeta[]required—
next_cursorstring | nulloptional—
totalinteger | nulloptional—